import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class XrayWorld extends KinectWorld
{
    private GreenfootImage cleanImage1sec;
    private GreenfootImage cleanImage2sec;
    private long lastImageTaken = 0;
    private boolean noUsers = true;

    public void act()
    {
        super.act();
       
        GreenfootImage img = getThumbnail();
        img.scale(getWidth(), getHeight());
        setBackground(img);
            
        if (getAllUsers().length == 0 && System.currentTimeMillis() > lastImageTaken + 1000)
        {
            cleanImage2sec = cleanImage1sec;
            cleanImage1sec = img;
            lastImageTaken = System.currentTimeMillis();
        }
        
        if (getAllUsers().length > 0 && noUsers)
        {
            if (cleanImage2sec == null)
            {
                cleanImage2sec = img;
            }
            
            CircledImage c = new CircledImage(cleanImage2sec, 30);
            CircledImage d = new CircledImage(cleanImage2sec, 30);
            addObject(c, getWidth()/2, getHeight() / 2);
            addObject(d, getWidth()/2, getHeight() / 2);
            c.setVelocity(3, -2);
            d.setVelocity(-2, 1);
            
            noUsers = false;
        }
        else if (getAllUsers().length == 0)
        {
            removeObjects(getObjects(CircledImage.class));
            noUsers = true;
        }
    }
}
